Including the Entire jQuery UI Suite - J Query

Problem
You want to include the entire jQuery UI suite. This might be because you don’t know yet what parts you’ll use and what parts you won’t. Or it might be because you’ll use enough of the suite that it’s easier or more efficient to include the whole suite, rather than each individual piece you’ll use.

Solution

Link to a jQuery UI theme, then a compatible version of the jQuery script, and then the jQuery UI script:

Discussion
This section covers the latest stable version of jQuery UI: 1.7.2. It requires at a minimum jQuery 1.3. When you download jQuery UI, included in the ZIP package is the latest stable version of jQuery that is compatible.
Rather than host your own version of jQuery and jQuery UI, you can use Google’s AJAX Libraries API. Simply change your script URLs like so:

Google also hosts the 20 or so themes that are in the jQuery UI Theme Roller gallery.

This includes the 13 images per theme that are referenced by relative URLs in the theme CSS.
You can replace {themename} with base, black-tie, blitzer, cupertino, dark-hive, dot-luv, eggplant, excite-bike, flick, hot-sneaks, humanity, le-frog, mint-choc, overcast, pepper-grinder, redmond, smoothness, south-street, start, sunny, swankypurse, trontastic, ui-darkness, ui-lightness, or vader. For a preview of each of these, see the jQuery UI ThemeRoller gallery.
Theming with jQuery UI is well covered in the next chapter. For our purposes, we’ll just be sure to include one of these themes, because a theme is required.


All rights reserved © 2018 Wisdom IT Services India Pvt. Ltd DMCA.com Protection Status

J Query Topics